Loading...
Searching...
No Matches
OBRingSearch Class Reference

`#include <openbabel/ring.h>`

## Public Member Functions

| OBRingSearch ()
| ~OBRingSearch ()
void | SortRings ()
void | RemoveRedundant (int)
void | AddRingFromClosure (OBMol &, OBBond *)
bool | SaveUniqueRing (std::deque< int > &, std::deque< int > &)
void | WriteRings ()
Iterator methods – see OBMolRingIter for iteration over a molecule
std::vector< OBRing * >::iterator | BeginRings ()
std::vector< OBRing * >::iterator | EndRings ()

## Detailed Description

Internal class to facilitate OBMol::FindSSSR().

## Constructor & Destructor Documentation

## OBRingSearch()

OBRingSearch | ( |  | ) |

inline

## ~OBRingSearch()

~OBRingSearch | ( |  | ) |

Destructor – free all rings created from this search.

## Member Function Documentation

## SortRings()

void SortRings | ( |  | ) |

inline

Sort ring sizes from smallest to largest.

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

## RemoveRedundant()

void RemoveRedundant | ( | int | frj | ) |

Starting with a full ring set - reduce to SSSR set.

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

## AddRingFromClosure()

void AddRingFromClosure | ( | OBMol & | mol,
|  | OBBond * | cbond )

Add a new ring from a "closure" bond: See OBBond::IsClosure().

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

## SaveUniqueRing()

bool SaveUniqueRing | ( | std::deque< int > & | d1,
|  | std::deque< int > & | d2 )

Referenced by AddRingFromClosure().

## WriteRings()

void WriteRings | ( |  | ) |

For debugging only, write the rings to std::cout.

## BeginRings()

std::vector< OBRing * >::iterator BeginRings | ( |  | ) |

inline

Returns
  an iterator pointing to the beginning of the list of rings

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

## EndRings()

std::vector< OBRing * >::iterator EndRings | ( |  | ) |

inline

Returns
  an iterator pointing to the end of the list of rings

Referenced by OBMol::FindLSSR(), and OBMol::FindSSSR().

The documentation for this class was generated from the following files:

- ring.h
- ring.cpp